LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (https://www.linuxquestions.org/questions/linux-software-2/)
-   -   Cisco VPN Client 3.5.2 won't install on RH9.1 (https://www.linuxquestions.org/questions/linux-software-2/cisco-vpn-client-3-5-2-wont-install-on-rh9-1-a-102440/)

PenguinPwrdBox 10-10-2003 09:40 AM

Cisco VPN Client 3.5.2 won't install on RH9.1
 
Ok, this is gonna be a biggie, so, here goes:

Odditiy abounds in this distro.

I am attempting to install Cisco Systems VPN Client 3.5.2 on my Redhat 9.1 system. I was a Slackware person, until, but thats a long story. At anyrate........

I install RH 3 days ago, and so far so good, until now. I have a tarball of the Cisco client, and I unpacked it, and managed to install it (not sure how). Now, however, I cannot run it. There is a file that is what I suspect is a service that mst be started before a connection can be made. However, when I attempt to run the command in the documentation, I get the following:

[root@Darkstar vpnclient]# ./vpnclient_init start
Starting @VPNBINDIR@/vpnclient: /lib/modules/2.4.20-8/CiscoVPN/cisco_ipsec: The
module you are trying to load (/lib/modules/2.4.20-8/CiscoVPN/cisco_ipsec) is compiled with a gcc
version 2 compiler, while the kernel you are running is compiled with
a gcc version 3 compiler. This is known to not work.
Failed (insmod)

I did some Google snooping on this, and found that often, a simple insmod -f will load the mod, without issue. However, and this is the weird part, I can't insmod!!! It says "command not found" (Yes, I am root.......) It also returns this error for lsmod, modprobe, and rmmod. Am I doing something wrong? I never had this problem with Slack. The full install was performed, with the Kernel and server tools and all. Any thoughts? Thanks in advance.....


All times are GMT -5. The time now is 02:50 PM.